Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMatrixToLinearTransform Class Reference

`#include <vtkMatrixToLinearTransform.h>`

Inheritance diagram for vtkMatrixToLinearTransform:

[legend]
Collaboration diagram for vtkMatrixToLinearTransform:

[legend]
List of all members.

## Detailed Description

convert a matrix to a transform

Date:
  2002/12/26 18:24:21

Revision:
  1.17

This is a very simple class which allows a vtkMatrix4x4 to be used in place of a vtkLinearTransform or vtkAbstractTransform. For example, if you use it as a proxy between a matrix and vtkTransformPolyDataFilter then any modifications to the matrix will automatically be reflected in the output of the filter.

See also:
  vtkTransform vtkMatrix4x4 vtkMatrixToHomogeneousTransform

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (88%)
  - Schroeder, Will (5%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkMatrixToLinearTransform.h)`
  - .`cxx` (`/Common/vtkMatrixToLinearTransform.cxx)`

Tests:
  vtkMatrixToLinearTransform (Tests)

Definition at line 53 of file vtkMatrixToLinearTransform.h.

## Public Types
typedef vtkLinearTransform | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Inverse ()
unsigned long | GetMTime ()
vtkAbstractTransform * | MakeTransform ()
virtual void | SetInput (vtkMatrix4x4 *)
virtual vtkMatrix4x4 * | GetInput ()
void | SetMatrix (vtkMatrix4x4 *matrix)
## Static Public Methods
vtkMatrixToLinearTransform * | New ()
int | IsTypeOf (const char *type)
vtkMatrixToLinearTransform * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMatrixToLinearTransform ()
| ~vtkMatrixToLinearTransform ()
void | InternalUpdate ()
void | InternalDeepCopy (vtkAbstractTransform *transform)
## Protected Attributes
int | InverseFlag
vtkMatrix4x4 * | Input

## Member Typedef Documentation

typedef vtkLinearTransform vtkMatrixToLinearTransform::Superclass

| Reimplemented from vtkLinearTransform. Definition at line 57 of file vtkMatrixToLinearTransform.h.

## Constructor & Destructor Documentation

vtkMatrixToLinearTransform::vtkMatrixToLinearTransform | ( |  | ) | `[protected]`

vtkMatrixToLinearTransform::~vtkMatrixToLinearTransform | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMatrixToLinearTransform* vtkMatrixToLinearTransform::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkMatrixToLinearTransform::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkLinearTransform.

int vtkMatrixToLinearTransform::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLinearTransform.

virtual int vtkMatrixToLinearTransform::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLinearTransform.

vtkMatrixToLinearTransform* vtkMatrixToLinearTransform::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkLinearTransform.

void vtkMatrixToLinearTransform::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkLinearTransform.

virtual void vtkMatrixToLinearTransform::SetInput | ( | vtkMatrix4x4 * |  | ) | `[virtual]`

| Set the input matrix. Any modifications to the matrix will be reflected in the transformation.

virtual vtkMatrix4x4* vtkMatrixToLinearTransform::GetInput | ( |  | ) | `[virtual]`

| Set the input matrix. Any modifications to the matrix will be reflected in the transformation.

void vtkMatrixToLinearTransform::Inverse | ( |  | ) | `[virtual]`

| The input matrix is left as-is, but the transformation matrix is inverted. Implements vtkAbstractTransform.

unsigned long vtkMatrixToLinearTransform::GetMTime | ( |  | ) | `[virtual]`

| Get the MTime: this is the bit of magic that makes everything work. Reimplemented from vtkAbstractTransform.

vtkAbstractTransform* vtkMatrixToLinearTransform::MakeTransform | ( |  | ) | `[virtual]`

| Make a new transform of the same type. Implements vtkAbstractTransform.

void vtkMatrixToLinearTransform::SetMatrix | ( | vtkMatrix4x4 * | matrix | ) | `[inline]`

| This method is deprecated. Definition at line 79 of file vtkMatrixToLinearTransform.h.

void vtkMatrixToLinearTransform::InternalUpdate | ( |  | ) | `[protected, virtual]`

| Perform any subclass-specific Update. Reimplemented from vtkAbstractTransform.

void vtkMatrixToLinearTransform::InternalDeepCopy | ( | vtkAbstractTransform * | transform | ) | `[protected, virtual]`

| Perform any subclass-specific DeepCopy. Reimplemented from vtkHomogeneousTransform.

## Member Data Documentation

int vtkMatrixToLinearTransform::InverseFlag`[protected]`

| Definition at line 91 of file vtkMatrixToLinearTransform.h.

vtkMatrix4x4* vtkMatrixToLinearTransform::Input`[protected]`

| Definition at line 92 of file vtkMatrixToLinearTransform.h.

The documentation for this class was generated from the following file:

- Common/vtkMatrixToLinearTransform.h